Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class AttributeListImpl

`java.lang.Object
oracle.jbo.NameValuePairs
oracle.jbo.server.AttributeListImpl`

All Implemented Interfaces:
  AttributeList

public class AttributeListImpl
extends NameValuePairs

The middle-tier manager for name/value pairs.

This class provides methods for setting and getting values either by index or by name.

Since:
  JDeveloper 3.0

Constructor Summary
`AttributeListImpl()` Creates an empty attribute list.
`AttributeListImpl(int size)` Constructs a new attribute list with a specified initial capacity.
`AttributeListImpl(java.lang.String[] nameArr, java.lang.Object[] valArr)`

Methods inherited from class oracle.jbo.NameValuePairs
`clear, getAttribute, getAttribute, getAttributeCount, getAttributeIndexOf, getAttributeNames, getAttributeValues, setAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeListImpl

    public AttributeListImpl()

  Creates an empty attribute list.

### AttributeListImpl

    public AttributeListImpl(int size)

  Constructs a new attribute list with a specified initial capacity.
Parameters:
  `size` - the initial cacpacity.

### AttributeListImpl

    public AttributeListImpl(java.lang.String[] nameArr,
                             java.lang.Object[] valArr)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.